/*
 * It is advised not to edit the smartadmin_production.css
 * as this will override any changes you make in the
 * later versions of this theme.
 *
 * We advise that you use use this CSS to override
 * SmartAdmin styles.
 *
 * Rename the stylesheet to whatever your liking so it will stay
 * unique to you with each update of SmartAdmin.
 */

/*
 * INDEX
 *
 * - HTML
 * - BODY
 * - CUSTOM STYLES
 */
 html, body {
	min-height: 100%;
	/*font-size: 16px;*/
    background:none;
}

.text-ellipsis {
	overflow:hidden;
	text-overflow:ellipsis;
	white-space:nowrap;
}
/* custom color set */
.bg-color-ctred {
  background-color: #ff0000;
}
.bg-color-ctgreen {
  background-color: #00ff00;
}
.bg-color-ctskyblue {
  background-color: #03a0ff;
}
.bg-color-egray {
  background-color: #eee;
}
.bg-color-dgray {
  background-color: #ddd;
}
.bg-color-cgray {
  background-color: #ccc;
}
.bg-color-black {
  background-color: #000;
}
.bg-color-ctorange {
  background-color: orange;
}

.txt-color-egray {
  color: #eee;
}
.txt-color-dgray {
  color: #ddd;
}
.txt-color-cgray {
  color: #ccc;
}
.txt-color-ctskyblue {
  color: #03a0ff;
}
.txt-color-ctred {
  color: #ff0000;
}
.txt-color-ctorange {
  color: orange;
}
.txt-color-black {
  color: #000;
}

.input-not-kor {
  -webkit-ime-mode:disabled;
  -moz-ime-mode:disabled;
  -ms-ime-mode:disabled;
  ime-mode:disabled;
}
.input-capitalize {
  text-transform:capitalize ;
}
.input-uppercase {
  text-transform:uppercase;
}
.input-lowercase  {
  text-transform:lowercase;
}

.modal-xl {
  width: 1600px;
}

#header>:first-child, aside {
  width: 185px;
}
.smart-style-3 body, body.smart-style-3{
    background-color: #F6F8FB!important;
}
/* #main {
  margin-left: 185px;
} */
.hidden-menu #left-panel {
  left: -175px;
}

nav ul.custom-side-nav {
	margin-top: 30px;
	/* padding-top: 20px; */
	/* border-top: 5px double #585858; */
}

.menu-on-top aside#left-panel nav>ul {
	width: auto;
}
.menu-on-top aside#left-panel nav>ul.custom-main-nav {
	float: left;
}
.menu-on-top aside#left-panel nav>ul.custom-side-nav {
	float: right;
	margin-top: 0;
}
.fixed-navigation #left-panel {
	height: auto;
}
.fixed-navigation nav>ul {
	width: 100%;
	height: auto;
	padding-right: 0;
	overflow: hidden;
}
.fixed-ribbon #ribbon {
	left: 185px;
}
.fixed-navigation nav {
	padding-bottom: 0;
}

.smart-form .col-11{width:91.66%}
.smart-form .col-12{float:none; width:100%}

.open>.dropdown-menu {
  -webkit-animation-name: none;
  -moz-animation-name:none;
  -o-animation-name:none;
  animation-name:none;
  -webkit-animation-duration: 0s;
  -moz-animation-duration: 0s;
  -o-animation-duration: 0s;
  animation-duration: 0s;
  -webkit-animation-fill-mode:none;
  -moz-animation-fill-mode: none;
  -o-animation-fill-mode: none;
  animation-fill-mode: none;
}

/* datables common */
.dt-toolbar {
  float: none;
}
.dataTables_wrapper {
  position: relative;
}
.dataTables_wrapper .dt-toolbar {
  padding: 1px;
}
.dataTables_wrapper	.table-responsive {
  overflow: auto;
  margin-top: 6px;
  min-height: 250px;
  /* max-height: 600px; */
  border: 0;
}
.dataTables_wrapper .dataTables_processing {
  z-index: 2;
  left: 5px;
  right: 5px;
  width: auto;
  height: auto;
  line-height: 100px;
  margin-top: -75px;
  margin-left: 0;
  /* padding: 15px 0; */
}
.dataTables_wrapper .dataTables_paginate {
  float: none;
  text-align: center;
}
table.dataTable {
  margin-top: 0 !important;
}
table.dataTable .dataTables_empty {
  height: 150px;
}
table.dataTable, table.dataTable select {
  font-size: 12px;
}
table.dataTable th {
  white-space: nowrap;
  text-align: center;
}
table.dataTable th,
table.dataTable td {
  padding: 5px;
  vertical-align: middle;
}

table.dataTable th._wfix,
table.dataTable td._wfix{
  width: 1px;
  padding: 5px 10px;
  white-space: nowrap;
  text-align: center;
}
table.dataTable th._wmax,
table.dataTable td._wmax{
  width: auto;
  max-width: 40%;
}

table.dataTable thead th .responsiveExpander {
  display: inline-block;
  width: 32px;
  cursor: pointer;
}

table.dataTable thead th .responsiveExpander.detail-open {
  background: url(/img/plus.png) no-repeat 5px center;
}

table.dataTable thead th .responsiveExpander.detail-close {
  background: url(/img/minus.png) no-repeat 5px center;
}
table.dataTable .dt-long {
  min-width: 150px;
}
table.dataTable .dt-center {
  text-align: center;
}
table.dataTable ._checkbox {
  display: inline-block;
  width: 18px!important;
  height: 18px;
}
table.dataTable	.font-bold {
  font-weight: bold;
}
table.dataTable	li li {
  padding: 1px 5px;
}



@media (min-width: 1200px) {
    .device-group .col-md-2 {
        width: 33%;
    }
}

@media (min-width: 1530px) {
    .device-group .col-md-2 {
        width: 20%;
    }
 }



@media (min-width: 992px){
    .modal-xl{
        width: 1450px;
    }

}

@media (max-width: 767px) {
  #left-panel {
	  left: -185px;
  }
  #main {
	margin-left: 0;
  }
  .hidden-menu #main {
	  left: 175px;
  }
  .hidden-menu #left-panel {
	  left: 0;
  }
  .fixed-ribbon #ribbon {
    left: 0;
  }

}
@media only screen and (max-width: 679px) and (min-width: 0) {
  #left-panel {
	  left: -185px;
  }
  #main {
	margin-left: 0;
  }
  .hidden-menu #main {
	  left: 175px;
  }
  .hidden-menu #left-panel {
	  left: 0;
  }
  .fixed-ribbon #ribbon {
    left: 0;
  }

}
@media only screen and (max-width: 479px) and (min-width: 320px) {
  #left-panel {
	  left: -185px;
  }
  #main {
	margin-left: 0;
  }
  .hidden-menu #main {
	  left: 175px;
  }
  .hidden-menu #left-panel {
    left: 0;
  }
  .fixed-ribbon #ribbon {
    left: 0;
  }
}
@media (max-width: 979px) and (min-width: 768px) {
  #left-panel {
	  left: -185px;
  }
  #main {
	  margin-left: 0;
  }
  .hidden-menu #main {
	  left: 175px;
  }
  .hidden-menu #left-panel {
  	left: 0;
  }
  .fixed-ribbon #ribbon {
    left: 0;
  }

}
@media (max-width: 880px) and (min-width: 768px) {
  #left-panel {
	  left: -185px;
  }
  #main {
  	margin-left: 0;
  }
  .hidden-menu #main {
	  left: 175px;
  }
  .hidden-menu #left-panel {
  	left: 0;
  }
  .fixed-ribbon #ribbon {
    left: 0;
  }

}

.custom-scroll::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}

@media (max-width: 979px) {
  .menu-on-top aside#left-panel nav>ul {
	  width: 100%;
  }
  .menu-on-top aside#left-panel nav>ul.custom-side-nav {
	  margin-top: 0;
  }
  /* dropzone image fix */
  .dropzone .dz-default.dz-message {
    background-size: unset;
    width: unset;
    height: unset;
    margin-left: unset;
    margin-top: 3.4%;
  }



}
/*
@media (min-width: 680px) {
  #svr-date { color: #fff; }
} */

@media (max-width: 768px) {
  .modal-xl {
    width: 100%;
    padding: 0 10px;
    max-width: 1200px;
  }
}

.page-footer {
  height:100px;
  padding-top: 0;
  color: #666;
  background: #F6F8FB!important;
  border: none !important;
}

.page-footer p {
  height:12px;
}

#extr-page-footer-space {
  font-size: 20px;
  height: 85px;
  vertical-align: -8px;
  margin-left: 5px;
}




/*  Bootstap Layout CSS */

/* Spacing */
.p-0{
    padding:0!important;
}
.p-1{
    padding: 0.25rem!important;
}
.p-2{
    padding: 0.5rem!important;
}
.p-3{
    padding: 1rem!important;
}
.p-4{
    padding: 1.5rem!important;
}
.p-5{
    padding: 3rem!important;
}

.py-0{
    padding:0!important;
}
.py-1{
    padding: 0.25rem 0!important;
}
.py-2{
    padding: 0.5rem 0!important;
}
.py-3{
    padding: 1rem 0!important;
}
.py-4{
    padding: 1.5rem 0!important;
}
.py-5{
    padding: 3rem 0!important;
}

.px-0{
    padding:0!important;
}
.px-1{
    padding:0 0.25rem!important;
}
.px-2{
    padding:0 0.5rem!important;
}
.px-3{
    padding:0 1rem!important;
}
.px-4{
    padding:0 1.5rem!important;
}
.px-5{
    padding:0 3rem!important;
}


.pt-0{
    padding-top:0!important;
}
.pt-1{
    padding-top: 0.25rem!important;
}
.pt-2{
    padding-top: 0.5rem!important;
}
.pt-3{
    padding-top: 1rem!important;
}
.pt-4{
    padding-top: 1.5rem!important;
}
.pt-5{
    padding-top: 3rem!important;
}

.pb-0{
    padding-bottom:0!important;
}
.pb-1{
    padding-bottom: 0.25rem!important;
}
.pb-2{
    padding-bottom: 0.5rem!important;
}
.pb-3{
    padding-bottom: 1rem!important;
}
.pb-4{
    padding-bottom: 1.5rem!important;
}
.pb-5{
    padding-bottom: 3rem!important;
}

.pr-0{
    padding-right:0!important;
}
.pr-1{
    padding-right: 0.25rem!important;
}
.pr-2{
    padding-right: 0.5rem!important;
}
.pr-3{
    padding-right: 1rem!important;
}
.pr-4{
    padding-right: 1.5rem!important;
}
.pr-5{
    padding-right: 3rem!important;
}

.pl-0{
    padding-left:0!important;
}
.pl-1{
    padding-left: 0.25rem!important;
}
.pl-2{
    padding-left: 0.5rem!important;
}
.pl-3{
    padding-left: 1rem!important;
}
.pl-4{
    padding-left: 1.5rem!important;
}
.pl-5{
    padding-left: 3rem!important;
}




.m-0{
    margin: 0!important;
}
.m-1{
    margin: 0.25rem!important;
}
.m-2{
    margin: 0.5rem!important;
}
.m-3{
    margin: 1rem!important;
}
.m-4{
    margin: 1.5rem!important;
}
.m-5{
    margin: 3rem!important;
}

.my-0{
    margin: 0!important;
}
.my-1{
    margin: 0.25rem 0!important;
}
.my-2{
    margin: 0.5rem 0!important;
}
.my-3{
    margin: 1rem 0!important;
}
.my-4{
    margin: 1.5rem 0!important;
}
.my-5{
    margin: 3rem 0!important;
}

.m-0{
    margin: 0!important;
}
.m-1{
    margin: 0 0.25rem!important;
}
.m-2{
    margin: 0 0.5rem!important;
}
.m-3{
    margin: 0 1rem!important;
}
.m-4{
    margin: 0 1.5rem!important;
}
.m-5{
    margin: 0 3rem!important;
}


.mt-0{
    margin-top: 0!important;
}
.mt-1{
    margin-top: 0.25rem!important;
}
.mt-2{
    margin-top: 0.5rem!important;
}
.mt-3{
    margin-top: 1rem!important;
}
.mt-4{
    margin-top: 1.5rem!important;
}
.mt-5{
    margin-top: 3rem!important;
}

.mb-0{
    margin-bottom: 0!important;
}
.mb-1{
    margin-bottom: 0.25rem!important;
}
.mb-2{
    margin-bottom: 0.5rem!important;
}
.mb-3{
    margin-bottom: 1rem!important;
}
.mb-4{
    margin-bottom: 1.5rem!important;
}
.mb-5{
    margin-bottom: 3rem!important;
}

.ml-0{
    margin-left: 0!important;
}
.ml-1{
    margin-left: 0.25rem!important;
}
.ml-2{
    margin-left: 0.5rem!important;
}
.ml-3{
    margin-left: 1rem!important;
}
.ml-4{
    margin-left: 1.5rem!important;
}
.ml-5{
    margin-left: 3rem!important;
}

.mr-0{
    margin-right: 0!important;
}
.mr-1{
    margin-right: 0.25rem!important;
}
.mr-2{
    margin-right: 0.5rem!important;
}
.mr-3{
    margin-right: 1rem!important;
}
.mr-4{
    margin-right: 1.5rem!important;
}
.mr-5{
    margin-right: 3rem!important;
}


.m-auto{
    margin: 0 auto!important;
}
.mr-auto, .mx-auto {
    margin-left: auto!important;
}
.mr-auto, .mx-auto{
    margin-right: auto!important;
}


/* Flex */

.d-flex{
    display: -webkit-box!important;
    display: -ms-flexbox!important;
    display: flex!important;
}
.flex-row{
    -webkit-box-orient: horizontal!important;
    -webkit-box-direction: normal!important;
    -ms-flex-direction: row!important;
    flex-direction: row!important;
}
.flex-row-reverse{
    -webkit-box-orient: horizontal!important;
    -webkit-box-direction: reverse!important;
    -ms-flex-direction: row-reverse!important;
    flex-direction: row-reverse!important;
}
.flex-column{
    -webkit-box-orient: vertical!important;
    -webkit-box-direction: normal!important;
    -ms-flex-direction: column!important;
    flex-direction: column!important;
}
.flex-column-reverse{
    -webkit-box-orient: vertical!important;
    -webkit-box-direction: reverse!important;
    -ms-flex-direction: column-reverse!important;
    flex-direction: column-reverse!important;
}

.flex-fill{
    display: 1 1 auto!important;
}

.justify-content-start{
    -webkit-box-pack: start!important;
    -ms-flex-pack: start!important;
    justify-content: flex-start!important;
}
.justify-content-end{
    -webkit-box-pack: end!important;
    -ms-flex-pack: end!important;
    justify-content: flex-end!important;
}
.justify-content-center{
    -webkit-box-pack: center!important;
    -ms-flex-pack: center!important;
    justify-content: center!important;
}
.justify-content-between{
    -webkit-box-pack: justify!important;
    -ms-flex-pack: justify!important;
    justify-content: space-between!important;
}
.justify-content-around{
    -ms-flex-pack: distribute!important;
    justify-content: space-around!important;
}

.align-items-start{
    -webkit-box-align: start!important;
    -ms-flex-align: start!important;
    align-items: flex-start!important;
}
.align-items-end{
    -webkit-box-align: end!important;
    -ms-flex-align: end!important;
    align-items: flex-end!important;
}
.align-items-center{
    -webkit-box-align: center!important;
    -ms-flex-align: center!important;
    align-items: center!important;
}
.align-items-baseline{
    -webkit-box-align: baseline!important;
    -ms-flex-align: baseline!important;
    align-items: baseline!important;
}
.align-items-stretch{
    -webkit-box-align: stretch!important;
    -ms-flex-align: stretch!important;
    align-items: stretch!important;
}

.align-self-start{
    -ms-flex-item-align: start!important;
    align-self: flex-start!important;
}
.align-self-end{
    -ms-flex-item-align: end!important;
    align-self: flex-end!important;
}
.align-self-center{
    -ms-flex-item-align: center!important;
    align-self: center!important;
}
.align-self-baseline{
    -ms-flex-item-align: baseline!important;
    align-self: baseline!important;
}
.align-self-stretch{
    -ms-flex-item-align: stretch!important;
    align-self: stretch!important;
}


.flex-nowrap{
    -ms-flex-wrap: nowrap!important;
    flex-wrap: nowrap!important;
}
.flex-wrap{
    -ms-flex-wrap: wrap!important;
    flex-wrap: wrap!important;
}
.flex-wrap-reverse{
    -ms-flex-wrap: wrap-reverse!important;
    flex-wrap: wrap-reverse!important;
}

.align-content-end{
    -ms-flex-line-pack: end!important;
    align-content: flex-end!important;
}
.align-content-center{
    -ms-flex-line-pack: center!important;
    align-content: center!important;
}
.align-content-between{
    -ms-flex-line-pack: justify!important;
    align-content: space-between!important;
}
.align-content-around{
    -ms-flex-line-pack: distribute!important;
    align-content: space-around!important;
}
.align-content-stretch {
    -ms-flex-line-pack: stretch!important;
    align-content: stretch!important;
}



/* Vertical Alignment */


.align-baseline {
    vertical-align: baseline!important;
}
.align-top {
    vertical-align: top!important;
}
.align-middle {
    vertical-align: middle!important;
}
.align-bottom {
    vertical-align: bottom!important;
}
.align-text-top {
    vertical-align: text-top!important;
}
.align-text-bottom {
    vertical-align: text-bottom!important;
}


.align-baseline {
    vertical-align: baseline!important;
}
.align-top {
    vertical-align: top!important;
}
.align-middle {
    vertical-align: middle!important;
}
.align-bottom {
    vertical-align: bottom!important;
}
.align-text-top {
    vertical-align: text-top!important;
}
.align-text-bottom {
    vertical-align: text-bottom!important;
}


/* TEXT */

.text-left {
    text-align: left!important;
}
.text-center {
    text-align: center!important;
}
.text-right {
    text-align: right!important;
}


.text-truncate{
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.text-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.text-lowercase {
    text-transform: lowercase!important;
}
.text-uppercase {
    text-transform: uppercase!important;
}
.text-capitalize {
    text-transform: capitalize!important;
}

.font-weight-bold {
    font-weight: 700!important;
}
.font-weight-normal {
    font-weight: 400!important;
}
.font-weight-light {
    font-weight: 300!important;
}
.font-italic {
    font-style: italic!important;
}




/* Custom - Common */

a{
    color:#333;
}
.wrap{
    padding: 2em 1em;
    background-color: #fff!important;
    border-radius: 1rem;
    -moz-box-shadow:0 4px 21px rgb(0 0 0 / 5%)!important;
    -ms-box-shadow:0 4px 21px rgb(0 0 0 / 5%)!important;
    box-shadow:0 4px 21px rgb(0 0 0 / 5%)!important;
}

.box-3{
    width:32.5%;
}
.box-4{
    width:20%;
    padding: 18px 0;
}
.b-radius{border-radius: 1rem;}
.bg-white{
    background-color: #fff!important;
}
.form-control{
    border: 1px solid #efefef;
    border-radius: 5px!important;
}
.form-control:hover{
    -moz-box-shadow:0 4px 21px rgba(38, 74, 132, 0.2)!important;
    -ms-box-shadow:0 4px 21px rgba(38, 74, 132, 0.2)!important;
    box-shadow: 0 4px 21px rgba(38, 74, 132, 0.2)!important;
}

.rounded{
    border-radius: 1rem;
}
.rounded-pill{
     border-radius: 5rem;
}

.h-100{
    height: 100% !important;
}

.smart-style-3 .dropdown-menu{
    border: 1px solid #eee;
    background-color: #fff;
    border-radius: 1rem;
}
.smart-style-3 .dropdown-menu>li>a {
    color: #333;
    height: 30px;
}
.dropdown-menu>li>a{
    padding:6px 20px;
}

.smart-style-3 .dropdown-menu>li>a.delete{
    color:#e65555;
}
.smart-style-3 .dropdown-menu>li>a.delete:hover{
    background-color: #f06969 !important;
    color: #fff;
}
.dropzone.dz-clickable .dz-message, .dropzone.dz-clickable .dz-message *{
    margin: 0;
}

.media{
    margin-top:0;
}

.text-ellipsis{
    overflow: hidden;
    word-break: break-all;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    display: block;
    margin:0;
}

.img-wrap{
    width: 189px;
    height: 100px;

}



.button-cover,
.knobs,
.layer {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.b-switch {
  position: relative;
  width: 64px;
  height: 30px;
  margin: 0 auto 0 auto;
  overflow: hidden;
}

.b-switch.r,
.b-switch.r .layer {
  border-radius: 100px;
}

.b-switch.b2 {
  border-radius: 2px;
}

.switch {
  position: relative;
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
  opacity: 0;
  cursor: pointer;
  z-index: 3;
}

.knobs {
  z-index: 2;
}

.layer {
  width: 100%;
  background-color: #ebfcf5;
  transition: 0.3s ease all;
  z-index: 1;
}

/* Button 1 */
#button-1 .knobs:before {
  content: "ON";
  position: absolute;
  top: 4px;
  left: 4px;
  width: 16px;
  height: 10px;
  color: #fff;
  font-size: 10px;
  font-weight: bold;
  text-align: center;
  line-height: 1;
  padding: 6px 3px;
  background-color: #50dda9;
  border-radius: 50%;
  transition: 0.3s cubic-bezier(0.18, 0.89, 0.35, 1.15) all;
}

#button-1 .switch:checked + .knobs:before {
  content: "OFF";
  left: 38px;
  background-color: #bdbdbd;
}

#button-1 .switch:checked ~ .layer {
  background-color: #f3f3f3;
}

#button-1 .knobs,
#button-1 .knobs:before,
#button-1 .layer {
  transition: 0.3s ease all;
}

.smart-form .button {
    background: #fff!important;
}
input[type=checkbox], input[type=radio]{
    margin:0;
}

/* Custom - Pagination */
.pagination>li>a, .pagination>li>span{
    background: none;
    border:none;
    color:#000;
    box-shadow: none;
    font-size: 14px;
}
div.dataTables_info{
    font-size: 14px!important;
}
.pagination>.disabled>a, .pagination>.disabled>a:focus, .pagination>.disabled>a:hover, .pagination>.disabled>span, .pagination>.disabled>span:focus, .pagination>.disabled>span:hover{
    background: none;
    border:none;
}
.pagination>li>a:hover{
    background: #eee;
    border:none;
    color:#009FE8;
    box-shadow: none;
    border-radius: 10px;
}
.pagination>.active>a, .pagination>.active>a:focus, .pagination>.active>a:hover, .pagination>.active>span, .pagination>.active>span:focus, .pagination>.active>span:hover{
    background-color: #009FE8;
    border-radius: 10px;
}




/* Custom - Color */
.badge{
    border-radius:10rem;
    padding: .5rem 0rem;
}
.badge-primary{
    background-color:rgb(0, 159, 232, 0.1);
    color: #009FE8;
}
.badge-active{
    background-color:rgba(93, 214, 174, 0.1);
    color: #6FCF97;
}
.badge-disable{
    background-color:rgba(163, 163, 163, 0.1);
    color: #999;
}
.badge-wait{
    background-color:rgba(253, 217, 16, 0.1);
    color: rgb(253, 203, 24);
}




/* Custom - ribbon */
.smart-style-3 #ribbon{
    background: none!important;
}
.ribbon-button-alignment{
    padding:0;
}
.btn.btn-ribbon{
    background: none!important;
    color:#222;
}

#logout .btn-logout{
    padding: 6px 14px;
    background-color: #FFF;
    border-radius: 4px;
    font-size: 1em;
    border-color: #fff;
    box-shadow: 0 4px 32px rgb(0 0 0 / 10%);
    border: 1px solid #009FE8!important;
}
#logout .btn-logout a{
    color: #009FE8!important;
}
#logout .btn-logout:hover{
    background-color: #009FE8;
}
#logout .btn-logout:hover a{
    color: #fff!important;
}


.smart-style-3 #hide-menu i{
    color: #222 !important;
    font-size: 1.7rem;
}
.hidden-menu #hide-menu>:first-child>a
{
    background: none!important;
    border: none!important;
    box-shadow: none!important;
}
#ribbon .breadcrumb{
    padding: 7px 0 !important;
}

.time{
    padding: 0px 20px;
    background-color: #FFF;
    border-radius: 30px;
    font-size: 1em;
    margin-right: 1rem;
    box-shadow: 0 4px 32px rgb(0 0 0 / 10%);
}
#refresh{
    box-shadow: none!important;
    color:#999;
    font-size: .9em;
}

.icon-noti{
    width:20px;
    height:20px;
    background: url("../img/icon-24-noti.svg");
    background-size: cover;
    background-repeat: no-repeat;
}
.icon-noti:hover{
    width:20px;
    height:20px;
    background: url("../img/icon-24-noti-active.svg");
    background-size: cover;
    background-repeat: no-repeat;
}
#ribbon .btn-icon{
    padding:4px;
    box-shadow: 0 4px 32px rgb(0 0 0 / 10%);
}

/* Custom - Main */

#main{
    background-color: #F6F8FB!important;
}

.well{
    background: none!important;
    border: none !important;
    box-shadow: none!important;
    padding: 0!important;
}

/* Custom - aside */

.smart-style-3 nav>ul>li{
    background: none;
    border:none;
    /* margin: 12px 0; */
}
.smart-style-3 nav>ul>li>a:hover{
    border-radius: 4px;
    background-color: #F6F8FB!important;
}
.smart-style-3 .login-info{
    height:100px;
}
img.online{
    border: none!important;
    width: 50px;
    border-radius: 50px;
}
.smart-style-3 nav>ul>li>a>i{
    color:#aaa;
    font-size: 1em;
}
.smart-style-3 aside{
    background: #fff;
    border:none;
    -webkit-box-shadow: 0 4px 32px rgb(0 0 0 / 10%);
    -ms-box-shadow: 0 4px 32px rgb(0 0 0 / 10%);
    box-shadow: 0 4px 32px rgb(0 0 0 / 10%);
}
.minifyme{
    /* background:#f0f0f0;
    border-bottom: 1px solid #ddd; */
    display: none;
}

nav ul ul li>a {
    padding-left: 30px;
}
nav ul ul ul li>a {
    padding-left: 40px;
}
.smart-style-3 nav>ul>li>a{
    font-size: 1em;
    /* font-weight: 600; */
}
.smart-style-3 nav ul li.active>a, .smart-style-3 nav ul li.active>a>i{
    color: #009FE8!important;
}
.smart-style-3 nav ul li a, .smart-style-3 nav ul li.open>a, .smart-style-3 nav ul li.open>a b, .smart-style-3 nav ul li a, .smart-style-3 nav ul li.open>a>i{
    color: #222 !important;
}
nav ul li.active>a:before{
    content: none;
}
.smart-style-3 nav>ul>li.open{
    border-left-color: transparent;
    background-color: #F6F8FB!important;
    /* padding:.5rem; */
}

/* Custom-Dashboard */

.box-counting{
    font-size: 3rem;
}
.box-title{
    font-weight: 600;
    font-size:1.5rem;
    color:#333;
    padding-left:20px;
    padding-bottom: 10px;
}
.fc-head-container thead tr, .table thead tr{
    background: none!important;
}

.icon-big{
    font-size: 5rem;
    color:#7a7a7a
}



/* Custom-table */
.table th,td{text-align: center;}
.table>tbody>tr>td, .table>tbody>tr>th, .table>tfoot>tr>td, .table>tfoot>tr>th, .table>thead>tr>td, .table>thead>tr>th{
    border-top:none!important;
    vertical-align: middle;
}
.table-bordered, .table-bordered>tbody>tr>td, .table-bordered>tbody>tr>th, .table-bordered>tfoot>tr>td, .table-bordered>tfoot>tr>th, .table-bordered>thead>tr>td, .table-bordered>thead>tr>th{
    border: none !important;
}
.table>thead>tr>th{
    border: none!important;
}

table.dataTable, table.dataTable select{
    font-size: 14px;
}
table.dataTable .dt-center{
    vertical-align: middle;
}

#custom-table,
.custom-table{
    border-collapse: separate;
    /* border-spacing: 0 8px; */
    font-size: 14px;
}
#custom-table tr,
.custom-table tr{
    background-color: #ffffff;
    border-radius: .5rem;
    height: 60px;
}

#custom-table tr:hover,
.custom-table tr:hover{
    background-color: #FFF;
    border-radius: .5rem;
    -webkit-box-shadow: 0 4px 32px rgb(0 0 0 / 10%);
    -ms-box-shadow: 0 4px 32px rgb(0 0 0 / 10%);
    box-shadow: 0 4px 32px rgb(0 0 0 / 10%);
}
#custom-table table,
.custom-table table{
    border-collapse: separate;
    border-spacing: 0 7px;
}
#custom-table thead tr,
.custom-table thead tr{
    background: none!important;
    box-shadow: none!important;
}

#custom-table tbody tr,
.custom-table tbody tr{
    border-radius: 15px!important;
}
#custom-table tbody tr td:first-child,
.custom-table tbody tr td:first-child{
    border-radius: 15px 0 0 15px!important;
    border-width: 1px 0 1px 1px;
}
#custom-table tbody tr td:last-child,
.custom-table tbody tr td:last-child{
    border-radius: 0 15px 15px 0!important;
    border-width: 1px 1px 1px 0;
}
#custom-table tr.null,
.custom-table tr.null{
    background: none!important;
    box-shadow: none!important;
    height: 250px;
}
#custom-table tr.null td,
.custom-table tr.null td{
    line-height: 250px;
    color:#ccc;
}

.table tbody tr._checkbox_checked {
    background-color: rgba(5, 159, 255, 5%) !important;
}

.dt-select{
    width:60px;
    max-width: 60px;
    vertical-align: middle!important;

}
/* Custom-Video.html */
.dt-toolbar,.dt-toolbar-footer,.nav-tabs{
    background: none!important;
    border: none!important;
}
.btn-icon{
    width:30px;
    height: 30px;
    border-radius: 100%;
    border:1px solid #eee;
    padding: 0;
    background-color: #fff;
}
.btn-icon i{
    padding: 6px;
    color:#333;
}
.btn-icon-primary:hover{
    background: #e2f0f8;
    border:1px solid #009FE8;
}
.btn-icon-primary:hover i{
    color: #009FE8;
}
.btn-icon-danger:hover{
    background: #f8e2e2;
    border:1px solid #ec5e56;
}
.btn-icon-danger:hover i{
    color: #e85454;
}


.dt-toolbar-footer{
    height:40px;
    box-shadow: none!important;
}
div.dataTables_info{
    font-style: normal;
    font-weight: 500;
    color:#333;
}

.dt-type i{
    padding:1rem;
}
/* Custom - Input */
.smart-style-3 input:not([type]), .smart-style-3 input[type=color], .smart-style-3 input[type=email], .smart-style-3 input[type=number], .smart-style-3 input[type=password], .smart-style-3 input[type=tel], .smart-style-3 input[type=text], .smart-style-3 input[type=url], .smart-style-3 textarea{
    border:1px solid #eee;
}
.search-btn{
    background: none;
    box-shadow: none;
    font-size: 14px;
    height:40px;
}
.btn-primary{
    background-color: #03a0ff;
    color:#fff;
}
.btn-primary:hover{
    background-color: #008de4;
    border:none;
}
.btn-sm{
    padding: 8px 26px;
    border-radius: .5rem;
    border: none;
    font-size: 14px;
}
.btn-info{
    color:#333;
    background: none!important;
}
.btn-info:hover{
    color:#009FE8;
    background: none!important;
}
.form-control{
    height: 40px;
    border-radius: 6px!important;
    font-size: 14px;
    padding-right: 3rem;
}

.smart-style-3 .dropdown-menu>li>a:hover{
    background-color: #009FE8!important;
}

.dropzone, td.fc-other-month{
    background:none;
    border: 3px dashed #eee;
    border-radius: 30px;
    padding:20px 30px;
    height:100%;
}

.dropzone i{
    font-size: 5rem;
}
.dropzone p{
    font-size: 1.5rem;
    font-weight: 600;
    color:#aaa;
}

.dz-message{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.smart-form .checkbox.state-success i, .smart-form .radio.state-success i, .smart-form .state-success input, .smart-form .state-success select, .smart-form .state-success textarea, .smart-form .toggle.state-success i{
    border: 1px solid #aaa;
    background: none;
    border-radius: 1rem!important;
    box-shadow: none;
    font-size:14px;
}
.smart-form input[type=file].input-lg{
    padding: 7px 16px;
}
.smart-style-3 input:not([type]), .smart-style-3 input[type=color], .smart-style-3 input[type=email], .smart-style-3 input[type=number], .smart-style-3 input[type=password], .smart-style-3 input[type=tel], .smart-style-3 input[type=text], .smart-style-3 input[type=url], .smart-style-3 textarea, .smart-form select.input-lg{
    border: 1px solid #aaa;
    background: none;
    border-radius: 1rem!important;
    box-shadow: none;
    font-size:14px;
    padding-left:1rem;
    padding: 8px 16px;
}
.smart-form .label.col{
    font-size: 14px;
    line-height: 40px;
    padding: 0;
    padding-left: 2rem;
}
.smart-form input.input-lg, .smart-form input.input-lg, .smart-form select.input-lg{
    height:40px;
    border-radius: 1rem!important;
    box-shadow: none;
    font-size:14px;
}
.smart-form .state-success select+i{
    background:none;
    box-shadow: none;
}
.smart-form header{
    margin:0;
    font-weight: 600;
}
.smart-form fieldset{
    padding: 0px 20px;
}

.smart-form .label{
    width:120px;
    line-height: 40px;
    padding-left: 2rem;
    font-size:14px;
}

.smart-form section{
    margin-bottom: 10px;
}

.smart-form .row{
    margin:0;
}

.smart-form .select i{
    box-shadow: 0 0 0 9px #fff0;
}
.form-control[disabled], fieldset[disabled] .form-control, form-control[disabled]:hover{
    background-color: #eee!important;
    border: none!important;
    box-shadow: none!important;
    color: #999!important;
}
.smart-form fieldset+fieldset{
    border-top: 1px solid rgba(0,0,0,0)
}
/* Custom - Modal */
.modal-content{
    border-radius: 2rem;
}
.smart-form header{
    border: none;
    padding-left: 1rem;
}
.modal-header h4{
    font-size: 1.8rem;
    font-weight: 600;
    padding-left:1rem;
}
.modal-header i{
    font-size: 3rem;
    font-weight: 400;
}
.modal-header{
    padding: 20px;
    border-bottom: 1px solid #efefef;
}

.modal-body{
    padding:0;
}
.modal .add{
    height: 650px;
    box-shadow: inset 0 4px 15px rgb(0 0 0 / 5%)!important;
    background-color: #f6f6f6;
    overflow: hidden!important;
}

.modal-footer{
    padding:30px;
}

.modal-body section .row .flex-column{
    width: calc(100% - 120px);
}
.smart-style-3 textarea{
    width: calc(100% - 33px);
}
.modal-body .state-error > input:focus, .modal-body .state-error > input{
    border: 1px solid #f25244;
}



.modal-body .custom-scroll{
    width:100%;
    height:500px;
    overflow-y: scroll;
}


/* Custom - schedlist */

.device-group .group-box{
    align-items: center;
    width: calc(100% - 5px);
    margin-bottom: 5px;
    height: 100px;
    border: 1px solid #eee;
    background-color: #fff;
    border-radius: 2rem;
    padding:2.5rem 2rem;
    min-height: 136px;
    display: flex!important;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: stretch;
}
.device-group .group-box:hover{
    color:#009FE8;
    border:1px solid #009FE8;
}

.device-group .active{
    background-color: #009FE8;
    color: #fff;
}
.device-group .active:hover{
    background-color: #009FE8;
    color: #fff;
}

.group-title{
    font-size: 1.75rem;
    font-weight: 600;
}

._checkbox{
    width: 18px!important;
    height: 18px;
}
/* Custom - Playlist */

.wrap .label{
    color:#333;
    width: 200px;
    font-size: 14px;
    font-weight: 500;
    line-height: 40px;
    text-align: left;
    padding: 0 0 0 3rem;
}
.wrap .w-100{
   width: 100% !important;
}
select.input-lg{
    height: 40px;
    border: 1px solid #aaa;
    background: none;
    border-radius: 1rem!important;
    padding: 8px 16px;
}

.wrap .dropzone{
    min-height: auto;
}

.input-group-addon{
    background: #fff;
    color:#333;
    border: none !important;
    padding: 10px 14px;
}

.wrap header{
    display: block;
    padding: 8px 0;
    border-bottom: 1px dashed #eee;
    background: #fff;
    font-size: 16px;
    font-weight: 600;
    color: #232323;
    margin-bottom:2rem;
    line-height:40px;
}


.add-box{
    background: none;
    border: 2px dashed #ccc;
    border-radius: 30px;
    padding: 20px 30px;
    height: 100%;
}
.add-message{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: 2em 0;
}
.add-box, .add-message{
    cursor: pointer;
}

.add-box p{
    font-size: 1.5rem;
    font-weight: 600;
    color: #aaa;
}


/* Custom - Device */

.device .table, .new-device .table, .media .table{

    padding:0 1rem;

}

.device .custom-scroll, .new-device .custom-scroll, .media .custom-scroll{
    height: 410px;
    overflow: scroll;
    /* box-shadow:inset 0 4px 15px rgb(0 0 0 / 5%)!important;
    background-color:#f6f6f6; */
}

.device .dt-toolbar-footer, .new-device .dt-toolbar-footer, .media .dt-toolbar-footer{
    height: 40px;
}


.device .btn-default, .new-device, .btn-default{
    background-color: #f0f0f0;
}

